org.apache.felix.scrplugin.annotations

## Class MethodAnnotation

- java.lang.Object
- - org.apache.felix.scrplugin.annotations.ScannedAnnotation
  - - org.apache.felix.scrplugin.annotations.MethodAnnotation

    public class MethodAnnotation
    extends ScannedAnnotation

A method annotation

### Field Summary

### Fields inherited from class org.apache.felix.scrplugin.annotations.ScannedAnnotation

`name, values`

### Constructor Summary

Constructors
Constructor and Description
`MethodAnnotation(String name, Map<String,Object> values, Method m)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Method` `getAnnotatedMethod()` Get the annotated method.
`String` `toString()`

### Methods inherited from class org.apache.felix.scrplugin.annotations.ScannedAnnotation

`getBooleanValue, getEnumValue, getIntegerValue, getLongValue, getName, getSimpleName, getStringValue, getValue, hasValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodAnnotation

    public MethodAnnotation(String name,
                            Map<String,Object> values,
                            Method m)

Constructor

### Method Detail

#### getAnnotatedMethod

    public Method getAnnotatedMethod()

Get the annotated method.

#### toString

    public String toString()

Overrides:
  `toString` in class `ScannedAnnotation`